Bug 5250 - 9-9-1999 boot.img and bootnet.img break IBM 7000 Adaptec support
9-9-1999 boot.img and bootnet.img break IBM 7000 Adaptec support
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 1999-09-20 11:57 EDT by Christopher Johnson
Modified: 2015-01-07 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-08 08:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Johnson 1999-09-20 11:57:45 EDT
Original RedHat 6.0 boot floppies for install recognized the
Adaptec SCSI controller in IBM Netfinity 7000 M10 system.

Updated 9-9-1999 boot.img recognizes the Adaptec controller
during boot but fails to recognize it when locating disks
for the installation process.

This needs to be 'unbroken'.
Comment 1 Bill Nottingham 1999-09-20 12:53:59 EDT
What's the problem with the original images that you need
the updated ones for?
Comment 2 Christopher Johnson 1999-09-20 13:38:59 EDT
We are planning to use IBM ServerRAID as soon as it is supported, are
currently using the built in Adaptec SCSI instead.  I can work with
the old images for now, but when the ServerRAID support comes out of
beta it would be nice if the install floppy images that worked with it
still worked with the Adaptec too.

Aside from that I'm philosophically opposed to newer software working
worse than it's predecessor and thought someone at RedHat might care
Comment 3 Bill Nottingham 1999-09-20 17:25:59 EDT
OK, I was just checking to make sure that the boot disk
wasn't breaking on something it was explicitly designed to fix.

We haven't noticed problems with the Netfinities here;
what are the exact error messages?  Does the bus scan just
reveal nothing?  Does it detect a different number of
Adaptec controllers (if there are multiple ones)?
Comment 4 Christopher Johnson 1999-09-21 09:18:59 EDT
Current configuration has only the Adaptec 2940 SCSI adapter
installed.  The one that comes standard with IBM Netfinity 7000 M10.
Boot process on 9-9-99 boot.img follows:

AIC7895 SCSI BIOS 1.34 at boot finds the drives as IBM-PSG 9103LC
Loading initrd.img...
Loading vmlinuz...
Welcome Splash page - OK
select English
select US
select NFS
select Intel EtherExpress Pro 100
  network config details set
enter NFS server details
choose Install
** A screen flashes for a fraction of a second "scanning...2940"
dialog box "SCSI Configuration"
  Do you have any SCSI adapters?
  Default response is no, I select yes
  select Adaptec 2740,2840,1940
  select Autoprobe
Dialog box "ERROR"
  I can't find the device anywhere on your system
Loops back to SCSI Configuration dialog

That's all.
Comment 5 Bill Nottingham 1999-09-21 15:34:59 EDT
You need to boot with 'linux supp' on the boot disk, or update
the modules on your NFS install image with ones from the
updated supplementary image.
Comment 6 Christopher Johnson 1999-09-22 12:25:59 EDT
Tried 'linux supp' at install lilo boot prompt but with identical
results except for requiring 2 more floppies during boot.
Comment 7 Bill Nottingham 1999-09-22 19:49:59 EDT
Hmm; I can't reproduce this here on our 7000; booting with
'linux mem=256m supp' (the mem argument is only needed if
you have a LOT of memory, and it would die much sooner if
you needed it), and then using the supp.img & modules.img
from the errata, it detects the 2940 and detects the two
drives attached to it.

What are the error messages on VC's 3 and 4?
Comment 8 Jay Turner 2000-02-08 08:29:59 EST
Closing bug due to lack of activity.

Note You need to log in before you can comment on or make changes to this bug.